# Interface FixedPrimitiveBytesLayoutItem

#### Hierarchy

- LayoutItemBase<"bytes">
- FixedPrimitiveCustom<BytesType>
  - FixedPrimitiveBytesLayoutItem

- Defined in core/base/src/utils/layout/layout.ts:65

#####
Index

### Properties

binary
custom
omit?

## Properties

### `Readonly` binary

binary: "bytes"

Inherited from LayoutItemBase.binary

- Defined in core/base/src/utils/layout/layout.ts:40

### custom

custom: Uint8Array

Inherited from FixedPrimitiveCustom.custom

- Defined in core/base/src/utils/layout/layout.ts:44

### `Optional` omit

omit?: boolean

Inherited from FixedPrimitiveCustom.omit

- Defined in core/base/src/utils/layout/layout.ts:45

Generated using TypeDoc